## com.google.gwt.user.client.ui
Interface SourcesPopupEvents

All Known Implementing Classes:
  DecoratedPopupPanel, DialogBox, PopupPanel

    public interface SourcesPopupEvents

A widget that implements this interface sources the events defined by the `PopupListener` interface.

Method Summary
`void` `addPopupListener(PopupListener listener)` Adds a listener interface to receive popup events.
`void` `removePopupListener(PopupListener listener)` Removes a previously added popup listener.

Method Detail

### addPopupListener

    void addPopupListener(PopupListener listener)

  Adds a listener interface to receive popup events.

  Parameters:
    `listener` - the listener interface to add.

### removePopupListener

    void removePopupListener(PopupListener listener)

  Removes a previously added popup listener.

  Parameters:
    `listener` - the listener interface to remove.